/*
  KISC-32 Compiler | tokeniser.hpp
  Copyright (C) 2024  Kaelan Carlos

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <https://www.gnu.org/licenses/>.

  Contact email: kelna@kelna.dev
*/

#include <iostream>
#include <fstream>

#include "tokens.hpp"


namespace tok {
  class Tokeniser
  {
    private:
      std::ifstream in_file;
    public:
      Tokeniser(std::string in_file_name);
      ~Tokeniser();
  };


  /* CONSTRUCTOR */
  Tokeniser::Tokeniser(std::string in_file_name)
  {
    in_file.open(in_file_name);
  }

  Tokeniser::~Tokeniser() {}


  /* GET NEXT TOKEN */
}
